function Y = tsqz(q,a,b,h)

% TSQZ - Utility function
%   TSQZ(Q,A,B,H) returns a timescale object with values of the form q^(hZ)
%   where q is a scalar, Z is the set of all integers and h is the 
%   graininess. Z goes from A to B. If no value of h is entered, h is set 
%   to equal 1. All intervals are DISCRETE.

%   Brian Ballard, Bunmi Otegbade   06/27/05

if (nargin < 3)
    error('Requires at least 3 arguments');
elseif(nargin > 4)
    error('Too many arguments');
end

v = a:b;

if (nargin == 3)
    h = 1;
    for i = 1:(abs(b-a)+1)
        if(i == 1) x(i) = 0;
        else
            x(i) = q.^(h*v(i));
        end
    end
else
    for i = 1:(abs(b-a)+1)
        if(i == 1) x(i) = 0;
        else
            x(i) = q.^(h*v(i));
        end
    end
end

Y = timescale(x,'d');
